package saaps.util;

import java.awt.Choice;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

public class YMDChoice
{
	private Choice year;
	private Choice month;
	private Choice day;
	private int hour;
	private int minute;
	private int second;

	// Set the date format.
//  DateFormat df = DateFormat.getDateTimeInstance(DateFormat.DEFAULT,DateFormat.DEFAULT,new Locale("sv","SE"));
//	df.setTimeZone(TimeZone.getTimeZone("UTC"));
//  Calendar cal = Calendar.getInstance(TimeZone.getTimeZone("UTC"),new Locale("sv","SE"));

	public YMDChoice()
	{
	}
	
	public YMDChoice(Choice y, Choice m, Choice d, int hh, int mm, int ss)
	{
		setChoice(y,m,d,hh,mm,ss);
	}

	public void setChoice(Choice y, Choice m, Choice d, int hh, int mm, int ss)
	{
		year = y;
		month = m;
		day = d;
		hour = hh;
		minute = mm;
		second = ss;
	}
	
	public Date getDate()
	{
		Calendar cal = Calendar.getInstance(TimeZone.getTimeZone("GMT"));
 		System.out.println("YMDChoice: year = " + year.getItem(year.getSelectedIndex()));
 		System.out.println("YMDChoice: month = " + month.getSelectedIndex());
 		System.out.println("YMDChoice: day = " + day.getSelectedIndex());
		// Find the selected dates.
 		cal.set((new Integer(year.getItem(year.getSelectedIndex()))).intValue(),
						month.getSelectedIndex(),				// MONTH=0 => JAN.
						day.getSelectedIndex()+1,hour,minute,second);		// DATE=1 => Day 1 in month.
		cal.clear(cal.MILLISECOND);								// Set MS field to 0;
		return cal.getTime();
	}
}