#!/bin/bash
# Build IRBEM
cd IRBEM/source
gfortran -m64 -static -c *.f
ar -r liboneradesp.a *.o
ranlib liboneradesp.a

# Build cdf library
cd ../../cdf33_0-dist
make OS=freebsd ENV=gnu FORTRAN=no UCOPTIONS=-Dsingle_underscore all
make CC="gcc -m64" OS=macosx ENV=x86_64 FORTRAN=no UCOPTIONS=-Dsingle_underscore all

# Build goes_bl
cd ..
gfortran -m64 -o goes_bl goes_bl.for IRBEM/source/liboneradesp.a cdf33_0-dist/src/lib/libcdf.a

# Build prbem_add
gfortran -m64 -o prbem_add prbem_add.f -I./cdf33_0-dist/src/include -I./IRBEM/source IRBEM/source/liboneradesp.a cdf33_0-dist/src/lib/libcdf.a
