/*
 * LinNeuron.java
 *
 * Created on August 10, 2000, 3:08 PM
 */
 
package saaps.ann.mlff;

import saaps.ann.Data;
import saaps.ann.Weights;

/** 
 *  Implementation of the linear neuron.
 *
 * @author  Peter Wintoft
 * @version 1.0 2000-08-11
 */
public class LinNeuron extends Neuron {

  /** Creates new LinNeuron */
  public LinNeuron() {
  }
  
  /**
  Create a linear neuron from a set of weights and bias.
  
  @param  w The weights and bias
  */
  public LinNeuron(Weights w)
  {
    super(w);
  }
  
  /**
  The linear transfer function.
  
  @param  x The input to the transfer function
  @return The output from the transfer function
  */
  public Data transFun(Data x)
  {
    return x;
  }
}