package saaps.math;

/**
* The class DoubleVector implements a vector object that contain doubles.
* It has methods for performing vector based arithmetics.
*
* @author Peter Wintoft
* @version 1.0 1999-09-21
*/
public class DoubleVector
{
	private double[] element;
	private int size;
	public DoubleVector(int capacity)
	{
		element = new double[capacity];
		size = capacity;
	}
	public void add(DoubleVector v)
	{
		for (int i=0;i<size;i++)
			element[i] += v.element[i];
	}
//	public void add(Vector v)
//	{
//		
//	}
	public void divide(double d)
	{
		for (int i=0;i<size;i++)
			element[i] /= d;
	}
	public void divide(DoubleVector v)
	{
		for (int i=0;i<size;i++)
			element[i] /= v.element[i];
	}
	public void setElementAt(double value, int i)
	{
		element[i] = value;
	}
}