#!/usr/bin/php
<?php
/**
* Test the odi_read_data function.
*
* @author Peter Wintoft <peter@lund.irf.se>
* @version 1.0
*/

require_once($_SERVER["ODI_HOME"].'/lib/odi.library.php');

$dataset = "DST";
$epoch_start = "2000-01-01 00:00:00.000";
$epoch_end = "2005-12-31 23:59:59.999";

$t1 = microtime(TRUE);
$x = odi_read_data($dataset,$epoch_start,$epoch_end,"epoch","dst");
$t2 = microtime(TRUE);

$n = count($x);

fwrite(STDOUT,$n." records in ".($t2-$t1)." seconds.".LF);
    
?>
