REM Build IRBEM
cd IRBEM/source
gfortran -static -c *.f
ar -r liboneradesp.a *.o
ranlib liboneradesp.a

REM Build cdf library
cd ../../cdf33_0-dist
REM the next line will NOT build cdfexport and cdfedit
REM if these are required, set both CURSES options to yes
REM this requires pdcurses to be installed
make OS=mingw ENV=gnu FORTRAN=no FC_mingw=gfortran UCOPTIONS="-Dsingle_underscore -static" UCOPTIONSld=-static UFOPTIONS=-static UFOPTIONSld=-static CURSES=no CURSES_mingw_gnu=no all

REM Build goes_bl
cd ..
gfortran -static -o goes_bl goes_bl.for IRBEM/source/liboneradesp.a cdf33_0-dist/src/lib/libcdf.a

REM Build prbem_add
gfortran -static -o prbem_add -I./cdf33_0-dist/src/include -I./IRBEM/source prbem_add.f IRBEM/source/liboneradesp.a cdf33_0-dist/src/lib/libcdf.a
